<?php
session_start();

// Panggil koneksi database.php untuk koneksi database
require_once "../../config/database.php";

// fungsi untuk pengecekan status login user 
// jika user belum login, alihkan ke halaman login dan tampilkan pesan = 1
if (empty($_SESSION['username']) && empty($_SESSION['password'])){
    echo "<meta http-equiv='refresh' content='0; url=index.php?alert=1'>";
}
// jika user sudah login, maka jalankan perintah untuk insert, update, dan delete
else {
    if ($_GET['act']=='insert') {
        if (isset($_POST['simpan'])) {
            // ambil data hasil submit dari form
            $tanggal         = mysqli_real_escape_string($mysqli, trim($_POST['tanggal']));
            $exp             = explode('-',$tanggal);
            $tanggal_masuk   = $exp[2]."-".$exp[1]."-".$exp[0];
			
            $kegiatan	  = mysqli_real_escape_string($mysqli, trim($_POST['kegiatan']));
			$analisa	  = mysqli_real_escape_string($mysqli, trim($_POST['analisa']));
            $selesai	  = mysqli_real_escape_string($mysqli, trim($_POST['selesai']));
			$keterangan	  = mysqli_real_escape_string($mysqli, trim($_POST['keterangan']));

            $created_user = $_SESSION['id_user'];

            // perintah query untuk menyimpan data ke tabel obat
            $query = mysqli_query($mysqli, "INSERT INTO t_harian(billdate,kegiatan,analisa,keterangan,selesai,img,created_user,updated_user,val_user) 
                                            VALUES('$tanggal_masuk','$kegiatan','$analisa','$keterangan','$selesai','','$created_user','$created_user','$created_user')")
                                            or die('Ada kesalahan pada query insert : '.mysqli_error($mysqli));    

            // cek query
            if ($query) {
                // jika berhasil tampilkan pesan berhasil simpan data
                header("location: ../../main.php?module=lap_harian&alert=1");
            }   
        }   
    }
    
    
	
	
}       
?>